Récupérer toutes les définitions de statut d'abonnement
curl --request GET \
--url https://api.hubapi.com/communication-preferences/2026-03/definitions \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.hubapi.com/communication-preferences/2026-03/definitions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.hubapi.com/communication-preferences/2026-03/definitions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"completedAt": "2023-11-07T05:31:56Z",
"results": [
{
"createdAt": "2023-11-07T05:31:56Z",
"description": "<string>",
"id": "<string>",
"isActive": true,
"isDefault": true,
"isInternal": true,
"name": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"businessUnitId": 123,
"communicationMethod": "<string>",
"purpose": "<string>",
"subscriptionTranslations": [
{
"createdAt": 123,
"description": "<string>",
"languageCode": "<string>",
"name": "<string>",
"subscriptionId": 123,
"updatedAt": 123
}
]
}
],
"startedAt": "2023-11-07T05:31:56Z",
"status": "CANCELED",
"errors": [
{
"category": "<string>",
"context": {},
"errors": [
{
"message": "<string>",
"code": "<string>",
"context": "{missingScopes=[scope1, scope2]}",
"in": "<string>",
"subCategory": "<string>"
}
],
"links": {},
"message": "<string>",
"status": "<string>",
"id": "<string>",
"subCategory": {}
}
],
"links": {},
"numErrors": 123,
"requestedAt": "2023-11-07T05:31:56Z"
}{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}Définitions
Retrieve all subscription status definitions
Obtenez une liste de toutes les définitions de statut d’abonnement à partir du compte.
GET
/
communication-preferences
/
2026-03
/
definitions
Récupérer toutes les définitions de statut d'abonnement
Supported products
Supported products
Required Scopes
Required Scopes
Autorisations
The access token received from the authorization server in the OAuth 2.0 flow.
Réponse
successful operation
La date et l'heure de la fin de l'opération.
Un tableau contenant les résultats de l'opération.
Show child attributes
Show child attributes
La date et l'heure du début de l'opération.
Le statut actuel de l'opération, qui peut être EN ATTENTE, EN COURS DE TRAITEMENT, ANNULÉE ou TERMINÉE.
Options disponibles:
CANCELED, COMPLETE, PENDING, PROCESSING Une série d'erreurs survenues pendant l'opération.
Show child attributes
Show child attributes
Une collection de liens associés à l'opération.
Show child attributes
Show child attributes
Le nombre d'erreurs rencontrées pendant l'opération.
La date et l'heure auxquelles l'opération a été demandée.
Dernière modification le 1 avril 2026